commit:     75d9d806f5de9a01436835fbf401eb714ee100af
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 25 03:25:18 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 25 05:56:46 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75d9d806

dev-python/grpcio-status: Bump to 1.74.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/grpcio-status/Manifest                  |  1 +
 .../grpcio-status/grpcio-status-1.74.0.ebuild      | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/grpcio-status/Manifest 
b/dev-python/grpcio-status/Manifest
index 95be0dd13537..72d46fd9e3d2 100644
--- a/dev-python/grpcio-status/Manifest
+++ b/dev-python/grpcio-status/Manifest
@@ -1 +1,2 @@
 DIST grpc-1.73.1.gh.tar.gz 14876868 BLAKE2B 
6321e16b4ebee97c8482be8756700de6409bcaf3eac5be0765b021672560fd9d063385fd6c3c03855134dd26157b1183efe38e99acdab72b31e149478b52c4de
 SHA512 
66e66828de7c95d3eb83bcba369f9c73be89044a5a755f99132de1694b08b72ebc848b33c73fdeed816174f1fc44e407be094237fcb4c5bc9732019cb3fae1b5
+DIST grpc-1.74.0.gh.tar.gz 15014902 BLAKE2B 
1c024dd44053cc076d8c3d42b9aa642120222ba36fb816a7be31b9e72b12fe1c14e2d8d81db38c1ea89a57589ebc6153d6089b32c0cbc4100d8b70b579bb42fe
 SHA512 
2b8e726743336ad33157705761159ae4f096209781d7c05cf0b2699852604dde28878f60f3028e08f19db7d8f7c003dc342594a387a9da55db67d39180fdc010

diff --git a/dev-python/grpcio-status/grpcio-status-1.74.0.ebuild 
b/dev-python/grpcio-status/grpcio-status-1.74.0.ebuild
new file mode 100644
index 000000000000..da5452aed937
--- /dev/null
+++ b/dev-python/grpcio-status/grpcio-status-1.74.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=grpc-${PV}
+DESCRIPTION="Reference package for GRPC Python status proto mapping"
+HOMEPAGE="
+       https://grpc.io/
+       https://github.com/grpc/grpc/
+       https://pypi.org/project/grpcio-status/
+"
+SRC_URI="
+       https://github.com/grpc/grpc/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/src/python/grpcio_status
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/googleapis-common-protos-1.5.5[${PYTHON_USEDEP}]
+       <dev-python/protobuf-7[${PYTHON_USEDEP}]
+       >=dev-python/protobuf-6.31.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+       cd "${WORKDIR}/${MY_P}/src/python/grpcio_tests" || die
+       epytest tests{,_aio}/status
+}

Reply via email to